import 'package:eitc_erm_dental_flutter/generated/assets.dart';
import 'package:eitc_erm_dental_flutter/widget/main_button.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../funcs.dart';

///已连接界面
class ConnectedView extends StatelessWidget {
  final void Function() startVideo;

  const ConnectedView({super.key, required this.startVideo});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Expanded(
          child: Column(
            children: [
              SizedBox(
                height: 86.h,
              ),
              Image.asset(
                Assets.imagesConnectedDevice,
                width: 96.w,
                height: 322.h,
                fit: BoxFit.fill,
              ),
              SizedBox(height: 36.h),
              Text(
                getS().deviceHasConnected,
                style:
                    TextStyle(fontSize: 16.sp, color: const Color(0xFF00A715)),
              ),
            ],
          ),
        ),
        Container(
          padding: EdgeInsets.fromLTRB(16.w, 0.h, 16.w, 34.h),
          width: double.infinity,
          child: MainButton(
            onPressed: startVideo,
            text: getS().startShot,
          ),
        ),
      ],
    );
  }
}
